Summary:	Ut Video codec suite
Summary(pl.UTF-8):	Kodek Ut Video
Name:		utvideo
Version:	18.2.1
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://umezawa.dyndns.info/archive/utvideo/%{name}-%{version}-src.zip
# Source0-md5:	1ede3a39a737b89557f251e42945e2dc
Source1:	%{name}-makefile
Patch0:		%{name}-shared.patch
Patch1:		%{name}-includes.patch
Patch2:		%{name}-linux.patch
URL:		http://umezawa.dyndns.info/wordpress/?cat=28
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	libtool >= 2:1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ut Video Codec Suite is a multi-platform and multi-interface lossless
video codec.

%description -l pl.UTF-8
Ut Video to wieloplatformowy, mający wiele interfejsów bezstratny
kodek obrazu.

%package devel
Summary:	Header files for Ut Video library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Ut Video
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel >= 6:4.7

%description devel
Header files for Ut Video library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Ut Video.

%package static
Summary:	Static Ut Video library
Summary(pl.UTF-8):	Statyczna biblioteka Ut Video
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Ut Video library.

%description static -l pl.UTF-8
Statyczna biblioteka Ut Video.

%prep
%setup -q

cp %{SOURCE1} GNUmakefile

%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} \
%ifarch i586 i686 pentium2 pentium3 pentium4
	ARCH=i386 \
%endif
%ifarch %{x8664}
	ARCH=x86_86 \
%endif
	CXX="%{__cxx}" \
	OPTFLAGS="%{rpmcxxflags} %{rpmcppflags} -std=c++11" \
	V=1 \
	libdir=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	prefix=%{_prefix} \
	libdir=%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc readme.en.html
%lang(ja) %doc readme.ja.html
%attr(755,root,root) %{_libdir}/libutvideo.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libutvideo.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libutvideo.so
%{_libdir}/libutvideo.la
%{_includedir}/utvideo

%files static
%defattr(644,root,root,755)
%{_libdir}/libutvideo.a
%changelog
* Sat Jul 22 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/utvideo.git;a=log;h=master

* Sat Jul 22 2017 Jakub Bogusz <qboosh@pld-linux.org> 0455e18
- updated to 18.2.1
- updated makefile and includes,linux patches
- enabled asm on x86* (but not x32)
- C++11 is required now

* Sun Jan 17 2016 Jakub Bogusz <qboosh@pld-linux.org> 2ce8aef
- updated to 15.4.0

* Tue Nov 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 944c147
- updated to 15.3.0
- updated makefile and shared patch
- added linux patch (workaround some BSDisms)

* Thu Mar 05 2015 Jan Rękorajski <baggins@pld-linux.org> f782da6
- release 2 (by relup.sh)

* Mon Mar 02 2015 Jakub Bogusz <qboosh@pld-linux.org> 50a1665
- updated to 15.1.0

* Fri Jun 13 2014 Jakub Bogusz <qboosh@pld-linux.org> f730e94
- one more header needed (utvideo/version.h)

* Fri Jun 13 2014 Jakub Bogusz <qboosh@pld-linux.org> 8a77290
- updated to 14.2.0
- updated makefile

* Mon Mar 03 2014 Jakub Bogusz <qboosh@pld-linux.org> 4ac028f
- updated to 13.3.1

* Mon Oct 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 0fec07f
- updated to 13.3.0

* Sun Jul 14 2013 Jakub Bogusz <qboosh@pld-linux.org> d0dcda3
- updated to 13.1.0
- GNUmakefile dropped upstream, replaced with local (already updated) file
- added includes patch (missing <climits> include)

* Sun Jul 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 3181369
- updated for 13.1.0

* Sun Jul 14 2013 Jakub Bogusz <qboosh@pld-linux.org> d474c5e
- merged update for 12.0.1

* Sun Jul 14 2013 Jakub Bogusz <qboosh@pld-linux.org> b97d8f8
- added last version of GNUmakefile from upstream (from v. 12.2.1)

* Fri Jan 18 2013 Jakub Bogusz <qboosh@pld-linux.org> da2db95
- updated to 12.0.1
- added update patch (adjusts GNUMakefile for 12.0.x)
- adjusted shared patch to support asm tuned functions (not used finally because of buggy GNUC code in .cpp)

* Sun Oct 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 32d1d6a
- updated to 11.1.1

* Wed May 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 3392792
- updated to 11.1.0

* Wed Mar 21 2012 Jakub Bogusz <qboosh@pld-linux.org> 7483cd1
- updated to 10.2.4

* Mon Dec 26 2011 Jakub Bogusz <qboosh@pld-linux.org> e26a563
- updated to 10.2.2

* Sat Dec 17 2011 Jakub Bogusz <qboosh@pld-linux.org> ce08e90
- typo

* Sat Dec 17 2011 Jakub Bogusz <qboosh@pld-linux.org> cd72ac4
- new; generally targeted to Windows/Mac, but for core part any POSIX system is sufficient

